Retrieve all Instance Types

View as Markdown

Get all Instance Types for the org.

The Infrastructure Provider and Tenant are inferred from the org’s membership. User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix.

Results are returned from both Provider and Tenant perspectives when the org has both roles.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter Instance Types by Site ID
infrastructureProviderIdstringOptionalformat: "uuid"Deprecated
Filter Instance Types by Infrastructure Provider ID.
tenantIdstringOptionalformat: "uuid"Deprecated
Filter Instance Types by Tenant ID.
statusstringOptional
Filter Instance Types by Status
querystringOptional
Search for matches across all Instance Types. Input will be matched against name, display name, description, labels, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
includeMachineAssignmentbooleanOptional
Include Machine assignments for each Instance Type. Can only be requested by Provider.
includeAllocationStatsbooleanOptional
Include Allocation stats.
excludeUnallocatedbooleanOptional
Excludes Instance Type records that have no allocations from being returned in the result set. Currently can only be requested by Tenant.
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Instance Type
namestringOptional2-256 characters
Name of the Instance Type
descriptionstring or nullOptional
Description of the Instance Type
controllerMachineTypestring or nullOptional
Machine type assigned by Site Controller
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider that owns the Instance Type
siteIdstringOptionalformat: "uuid"
ID of the Site that owns the Instance Type
labelsmap from strings to stringsOptional

User-defined key-value labels for the Instance Type

machineCapabilitieslist of objectsOptional
List of capabilities that are supported by the Machine's of this Instance Type
machineInstanceTypeslist of objectsOptional
Available only for Providers
allocationStatsobjectOptional
summary of machine counts by allocation status
statusenumOptional
Status of the Instance Type
statusHistorylist of objectsOptional
Chronological status history for the Instance Type
deprecationslist of objectsOptional
Deprecations active for this resource. Returned only if there are active deprecations.
createddatetimeOptionalRead-only

Date/time when the InstanceType was created

updateddatetimeOptionalRead-only

Date/time when the InstanceType was last updated

Errors

403
Forbidden Error